org.apache.synapse.commons.staxon.core.json.stream.util

## Class RemoveRootTarget

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate
  - - org.apache.synapse.commons.staxon.core.json.stream.util.RemoveRootTarget

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, JsonStreamTarget

      public class RemoveRootTarget
      extends StreamTargetDelegate

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveRootTarget(JsonStreamTarget delegate, javax.xml.namespace.QName root, char namespaceSeparator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endObject()` End object.
    `void` | `name(java.lang.String name)` Write name.
    `void` | `startObject()` Start object

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

      `close, endArray, flush, startArray, value`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveRootTarget

          public RemoveRootTarget(JsonStreamTarget delegate,
                                  javax.xml.namespace.QName root,
                                  char namespaceSeparator)

  - ### Method Detail

    - #### name

          public void name(java.lang.String name)
                    throws java.io.IOException

      Description copied from interface: `JsonStreamTarget`
      Write name.
      Specified by:
        `name` in interface `JsonStreamTarget`
      Overrides:
        `name` in class `StreamTargetDelegate`
      Throws:
        `java.io.IOException`

    - #### startObject

          public void startObject()
                           throws java.io.IOException

      Description copied from interface: `JsonStreamTarget`
      Start object
      Specified by:
        `startObject` in interface `JsonStreamTarget`
      Overrides:
        `startObject` in class `StreamTargetDelegate`
      Throws:
        `java.io.IOException`

    - #### endObject

          public void endObject()
                         throws java.io.IOException

      Description copied from interface: `JsonStreamTarget`
      End object.
      Specified by:
        `endObject` in interface `JsonStreamTarget`
      Overrides:
        `endObject` in class `StreamTargetDelegate`
      Throws:
        `java.io.IOException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.